## org.apache.batik.parser
Interface Parser

All Superinterfaces:
  Localizable

All Known Subinterfaces:
  ClockParser

All Known Implementing Classes:
  AbstractParser

public interface Parser
extends Localizable

This interface represents a parser.

Method Summary
`void` `parse(java.io.Reader r)` Parses the given reader
`void` `parse(java.lang.String s)` Parses the given string
`void` `setErrorHandler(ErrorHandler handler)` Allows an application to register an error event handler.

Methods inherited from interface org.apache.batik.i18n.Localizable
`formatMessage, getLocale, setLocale`

Method Detail

### parse

    public void parse(java.io.Reader r)
               throws ParseException

  Parses the given reader

  Throws:
    `ParseException`

### parse

    public void parse(java.lang.String s)
               throws ParseException

  Parses the given string

  Throws:
    `ParseException`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Allows an application to register an error event handler.

  If the application does not register an error event handler, all error events reported by the parser will cause an exception to be thrown.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The error handler.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.